#include <hmg.ch>
 
#define NTrim( n ) LTRIM( TRAN( n, "999.9" ) )
#define CRLF2      CRLF + CRLF
 
PROCEDURE Main()
 
   aGMSArray := GlobalMemoryStatusEx()
         
   cReport := PADC( "Global Memory Status Extended Report", 66 ) + CRLF2 +;
              PADR( "Approximate percentage of physical memory that is in use :", 60 ) + NTOC( aGMSArray[ 1 ] ) + " %" + CRLF2 +;
              PADR( "Amount of physical memory currently available :", 60 ) + NTrim( aGMSArray[ 2 ] / 10^9 ) + " GB" + CRLF2 +;
              PADR( "Amount of actual physical memory :", 60 ) + NTrim( aGMSArray[ 3 ] / 10^9 ) + " GB" + CRLF2 +;
              "Current committed memory limit for the system" + CRLF +; 
              PADR( "or the current process, whichever is smaller :", 60 ) + NTrim( aGMSArray[ 4 ] / 10^9 ) + " GB" + CRLF2 +;
              PADR( "Maximum amount of memory the current process can commit  :", 60 ) + NTrim( aGMSArray[ 5 ] / 10^9 ) + " GB" + CRLF2 +;
              "size of the user-mode portion of the virtual" + CRLF +; 
              PADR( "address space of the calling process :", 60 ) + NTrim( aGMSArray[ 6 ] / 10^9 ) + " GB" + CRLF2 +;
              "Amount of unreserved and uncommitted memory currently" + CRLF +; 
              "in the user-mode portion of the virtual address space" + CRLF +; 
              PADR( "of the calling process :", 60 )+ NTrim( aGMSArray[ 7 ] / 10^9 ) + " GB"
         
   HB_MemoWrit( "report.txt", cReport )
         
   EXECUTE FILE "report.txt"
         
RETURN
